PLaSK library

Loading...
Searching...
No Matches
Classes | Functions | Variables
slab3d Namespace Reference

## Classes
class | Asym
class | Glass

## Functions
| dims (w, h)
| pos (w, z=0)

## Variables
| axes
float | depth = 1.0
float | w = 0.20
float | wa = 0.10
float | h = 0.10
int | d = 0.
int | axis = 0
bool | symmetric = True
bool | periodic = False
int | size = 12
int | refine = 1
float | smooth = 0.005
int | dct = 1
| shelf = geometry.Align3D()
| stack = geometry.Stack3D(left=0, back=0)
| core = geometry.Block3D(dims(w, h), Glass())
| asym = geometry.Block3D(dims(wa, h), material.air)
| air = geometry.Block3D(dims(w, h), material.air)
| air1 = geometry.Block3D(dims(w-d, h), material.air)
| air2 = geometry.Block3D(dims(w+d, h), material.air)
| p = stack.append(shelf)
| edges = dict(left='periodic', right='periodic', back='periodic', front='periodic')
| b0
| b1
| main = geometry.Cartesian3D(stack, **edges)
| opt = optical.Fourier3D("opt")
| geometry
| wavelength
| dist
| order
| factor
| long
list | sym = [None, None]
| symmetry
float | right = 2.0
float | left = -2.0
| AX = linspace(left, right, 4000)
| msh = mesh.Rectangular3D(AX, [0], [0.5*h])
list | eps = [main.get_material(pos(ax, 0.5*h)).nr(opt.wavelength.real).real**2 for ax in AX]
| label

## Function Documentation

## ◆ dims()

slab3d.dims | ( |  | w,
|  |  | h
| ) |  |

Definition at line 55 of file slab3d.py.

## ◆ pos()

slab3d.pos | ( |  | w,
|  |  | z = `0`
| ) |  |

Definition at line 60 of file slab3d.py.

## Variable Documentation

## ◆ air

slab3d.air = geometry.Block3D(dims(w, h), material.air)

Definition at line 75 of file slab3d.py.

## ◆ air1

slab3d.air1 = geometry.Block3D(dims(w-d, h), material.air)

Definition at line 77 of file slab3d.py.

## ◆ air2

slab3d.air2 = geometry.Block3D(dims(w+d, h), material.air)

Definition at line 78 of file slab3d.py.

## ◆ asym

slab3d.asym = geometry.Block3D(dims(wa, h), material.air)

Definition at line 74 of file slab3d.py.

## ◆ AX

slab3d.AX = linspace(left, right, 4000)

Definition at line 129 of file slab3d.py.

## ◆ axes

slab3d.axes

Definition at line 15 of file slab3d.py.

## ◆ axis

int slab3d.axis = 0

Definition at line 29 of file slab3d.py.

## ◆ b0

slab3d.b0

Definition at line 94 of file slab3d.py.

## ◆ b1

slab3d.b1

Definition at line 94 of file slab3d.py.

## ◆ core

slab3d.core = geometry.Block3D(dims(w, h), Glass())

Definition at line 73 of file slab3d.py.

## ◆ d

int slab3d.d = 0.

Definition at line 25 of file slab3d.py.

## ◆ dct

slab3d.dct = 1

Definition at line 39 of file slab3d.py.

## ◆ depth

float slab3d.depth = 1.0

Definition at line 19 of file slab3d.py.

## ◆ dist

slab3d.dist

Definition at line 113 of file slab3d.py.

## ◆ edges

slab3d.edges = dict(left='periodic', right='periodic', back='periodic', front='periodic')

Definition at line 93 of file slab3d.py.

## ◆ eps

slab3d.eps = [main.get_material(pos(ax, 0.5*h)).nr(opt.wavelength.real).real**2 for ax in AX]

Definition at line 138 of file slab3d.py.

## ◆ factor

slab3d.factor

Definition at line 116 of file slab3d.py.

## ◆ geometry

slab3d.geometry

Definition at line 101 of file slab3d.py.

## ◆ h

float slab3d.h = 0.10

Definition at line 23 of file slab3d.py.

## ◆ label

slab3d.label

Definition at line 142 of file slab3d.py.

## ◆ left

float slab3d.left = -2.0

Definition at line 126 of file slab3d.py.

## ◆ long

slab3d.long

Definition at line 118 of file slab3d.py.

## ◆ main

slab3d.main = geometry.Cartesian3D(stack, **edges)

Definition at line 98 of file slab3d.py.

## ◆ msh

slab3d.msh = mesh.Rectangular3D(AX, [0], [0.5*h])

Definition at line 132 of file slab3d.py.

## ◆ opt

slab3d.opt = optical.Fourier3D("opt")

Definition at line 100 of file slab3d.py.

## ◆ order

slab3d.order

Definition at line 115 of file slab3d.py.

## ◆ p

slab3d.p = stack.append(shelf)

Definition at line 90 of file slab3d.py.

## ◆ periodic

bool slab3d.periodic = False

Definition at line 32 of file slab3d.py.

## ◆ refine

slab3d.refine = 1

Definition at line 35 of file slab3d.py.

## ◆ right

float slab3d.right = 2.0

Definition at line 125 of file slab3d.py.

## ◆ shelf

slab3d.shelf = geometry.Align3D()

Definition at line 66 of file slab3d.py.

## ◆ size

slab3d.size = 12

Definition at line 34 of file slab3d.py.

## ◆ smooth

slab3d.smooth = 0.005

Definition at line 37 of file slab3d.py.

## ◆ stack

slab3d.stack = geometry.Stack3D(left=0, back=0)

Definition at line 69 of file slab3d.py.

## ◆ sym

list slab3d.sym = [None, None]

Definition at line 121 of file slab3d.py.

## ◆ symmetric

bool slab3d.symmetric = True

Definition at line 31 of file slab3d.py.

## ◆ symmetry

slab3d.symmetry

Definition at line 123 of file slab3d.py.

## ◆ w

float slab3d.w = 0.20

Definition at line 21 of file slab3d.py.

## ◆ wa

float slab3d.wa = 0.10

Definition at line 22 of file slab3d.py.

## ◆ wavelength

slab3d.wavelength

Definition at line 102 of file slab3d.py.